Config::MVP::Reader::Hash(3)

NAME
Config::MVP::Reader::Hash - a reader that tries to cope with a plain old hashref

VERSION
version 2.200002

SYNOPSIS
  my $sequence = Config::MVP::Reader::Hash->new->read_config( \%config );

DESCRIPTION
In some ways, this is the Config::MVP::Reader of last resort. Given a hashref, it attempts to interpret it as a Config::MVP::Sequence. Because hashes are generally unordered, order can't be relied upon unless the hash tied to have order (presumably with Tie::IxHash). The hash keys are assumed to be section names and will be used as the section package moniker unless a __package entry is found.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.